# 1:red:active, 2:gray:null, 3:PcG:blue, 4:HP1:green
epicols <- c("red", "gray", "blue", "green")
     
res_f <- "TADloop_cm_10k_top5.tsv"
epi_f <- "epiTAD.bed"

# read file
cont_d = read.table(res_f, header=TRUE, sep="\t")
epi_d = read.table(epi_f)
colnames(epi_d) <- c("chrom", "start", "end", "epi")

cont_d$id = paste(cont_d$chrom, cont_d$pos1, cont_d$pos2, sep=".")
epi_d$id = paste(epi_d$chrom, epi_d$start, epi_d$end, sep=".")

result = merge(cont_d, epi_d, by = "id", all = F)
result <- subset(result, epi != 0)
result$epi_class <- as.factor(result$epi)
  
clu_1 = subset(result, epi == 1)
clu_2 = subset(result, epi == 2)
clu_3 = subset(result, epi == 3)
clu_4 = subset(result, epi == 4)

pdf("loopIntensity4epiTAD.pdf")
boxplot(clu_1$normal_contact, clu_2$normal_contact, clu_3$normal_contact, clu_4$normal_contact,
        names=c("active","null","PcG","HP1"),
        xlab="epiTAD",
        ylab="normalized contact intensity",
        col=epicols,
        notch=TRUE, outline = FALSE, varwidth = TRUE)

dev.off()
